# FoundationClasses
TKernel
Message

# Message_SequenceNodeOfSequenceOfProgressScale Class Reference

`#include <Message_SequenceNodeOfSequenceOfProgressScale.hxx>`

Inheritance diagram for Message_SequenceNodeOfSequenceOfProgressScale:

[legend]

## Public Member Functions

| Message_SequenceNodeOfSequenceOfProgressScale (const Message_ProgressScale &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Message_ProgressScale & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Message_ProgressScale | myValue

## Constructor & Destructor Documentation

Message_SequenceNodeOfSequenceOfProgressScale::Message_SequenceNodeOfSequenceOfProgressScale | ( | const Message_ProgressScale & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Message_SequenceNodeOfSequenceOfProgressScale::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Message_ProgressScale& Message_SequenceNodeOfSequenceOfProgressScale::Value | ( |  | ) | const

## Field Documentation

Message_ProgressScale Message_SequenceNodeOfSequenceOfProgressScale::myValue `[private]`

The documentation for this class was generated from the following file:

- Message_SequenceNodeOfSequenceOfProgressScale.hxx